/**
 * PersonNamePartChangeQualifier.java
 *
 * File generated from the medication::PersonNamePartChangeQualifier uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration PersonNamePartChangeQualifier.
 *
 * 
 */

@XmlType(name = "PersonNamePartChangeQualifier")
@XmlEnum
@XmlRootElement(name = "PersonNamePartChangeQualifier")
public enum PersonNamePartChangeQualifier {
	@XmlEnumValue("AD")
	AD("AD"),
	@XmlEnumValue("BR")
	BR("BR"),
	@XmlEnumValue("SP")
	SP("SP");
	
	private final String value;

    PersonNamePartChangeQualifier(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static PersonNamePartChangeQualifier fromValue(String v) {
        for (PersonNamePartChangeQualifier c: PersonNamePartChangeQualifier.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}